# LOGGINGLEVEL

## Overview

The `LOGGINGLEVEL` class defines script constants for application output logging levels.

## Constants Summarized

| Type                                                     | Name                | Summary        |
| -------------------------------------------------------- | ------------------- | -------------- |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [DEBUG](#debug)     | Logging level. |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [ERROR](#error)     | Logging level. |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [FATAL](#fatal)     | Logging level. |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [INFO](#info)       | Logging level. |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [WARNING](#warning) | Logging level. |

## Constants Detailed

### DEBUG

Logging level.

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
application.output('my message',LOGGINGLEVEL.DEBUG)
```

### ERROR

Logging level.

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
application.output('my message',LOGGINGLEVEL.ERROR)
```

### FATAL

Logging level. This level will for the most part be mapped on ERROR, because of java loggign api's

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
application.output('my message',LOGGINGLEVEL.FATAL)
```

### INFO

Logging level.

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
application.output('my message',LOGGINGLEVEL.INFO)
```

### WARNING

Logging level.

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
application.output('my message',LOGGINGLEVEL.WARNING)
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/application/logginglevel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
